# PhasicFlow: selectorGeometric< GeomType > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

selectorGeometric< GeomType > Class Template Reference
Inheritance diagram for selectorGeometric< GeomType >:
[legend]
Collaboration diagram for selectorGeometric< GeomType >:
[legend]

## Public Member Functions

| TypeInfoTemplate11 ("selector", GeomType)
| selectorGeometric (const pointStructure &pStruct, const dictionary &dict)
| selectorGeometric (const word &type, const pointStructure &pStruct, const dictionary &dict)
| add_vCtor (pStructSelector, selectorGeometric, dictionary)
| add_vCtor (pStructSelector, selectorGeometric, word)
| ~selectorGeometric () override=default
const uint32Vector & | selectedPoints () const override
uint32Vector & | selectedPoints () override
Public Member Functions inherited from pStructSelector
| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| the dictionary contains the selector keyword and another dictionary which is used for creating selector More...
| pStructSelector (const word &type, const pointStructure &pStruct, const dictionary &UNUSED(dict))
| construct using selector type and a dictionary that contains info of selector More...
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
| create_vCtor (pStructSelector, word,(const word &type, const pointStructure &pStruct, const dictionary &dict),(type, pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const
realx3Vector | selectedPointPositions () const

## Private Member Functions

bool | selectPoints ()

## Private Attributes

word | type_
PeakableRegion< GeomType > | pRegion_
uint32Vector | selectedPoints_ {"selectedPoints"}

## Additional Inherited Members

Static Public Member Functions inherited from pStructSelector
static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)
static uniquePtr< pStructSelector > | create (const word &type, const pointStructure &pStruct, const dictionary &dict)
Protected Attributes inherited from pStructSelector
const pointStructure & | pStruct_

## Detailed Description

### template<typename GeomType>
class pFlow::selectorGeometric< GeomType >

Definition at line 33 of file selectorGeometric.hpp.

## Constructor & Destructor Documentation

## selectorGeometric() [1/2]

selectorGeometric | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 25 of file selectorGeometric.cpp.

References fatalExit, and selectorGeometric< GeomType >::selectPoints().

Here is the call graph for this function:

## selectorGeometric() [2/2]

selectorGeometric | ( | const word & | type,
|  | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 40 of file selectorGeometric.cpp.

References fatalExit, and selectorGeometric< GeomType >::selectPoints().

Here is the call graph for this function:

## ~selectorGeometric()

~selectorGeometric | ( |  | ) |

overridedefault

## Member Function Documentation

## selectPoints()

bool selectPoints

private

Definition at line 5 of file selectorGeometric.cpp.

References pStruct.

Referenced by selectorGeometric< GeomType >::selectorGeometric().

Here is the caller graph for this function:

## TypeInfoTemplate11()

TypeInfoTemplate11 | ( | "selector" | ,
|  | GeomType |
| ) |  |

## add_vCtor() [1/2]

add_vCtor | ( | pStructSelector | ,
|  | selectorGeometric< GeomType > | ,
|  | dictionary |
| ) |  |

## add_vCtor() [2/2]

add_vCtor | ( | pStructSelector | ,
|  | selectorGeometric< GeomType > | ,
|  | word |
| ) |  |

## selectedPoints() [1/2]

const uint32Vector& selectedPoints | ( |  | ) | const

inlineoverridevirtual

Implements pStructSelector.

Definition at line 74 of file selectorGeometric.hpp.

References selectorGeometric< GeomType >::selectedPoints_.

## selectedPoints() [2/2]

uint32Vector& selectedPoints | ( |  | ) |

inlineoverridevirtual

Implements pStructSelector.

Definition at line 79 of file selectorGeometric.hpp.

References selectorGeometric< GeomType >::selectedPoints_.

## Member Data Documentation

## type_

word type_

private

Definition at line 39 of file selectorGeometric.hpp.

## pRegion_

PeakableRegion<GeomType> pRegion_

private

Definition at line 41 of file selectorGeometric.hpp.

## selectedPoints_

uint32Vector selectedPoints_ {"selectedPoints"}

private

Definition at line 43 of file selectorGeometric.hpp.

Referenced by selectorGeometric< GeomType >::selectedPoints().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/selectorGeometric/selectorGeometric.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/selectorGeometric/selectorGeometric.cpp